Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SString.h File Reference

`#include "ace/SStringfwd.h"`
`#include "ace/String_Base.h"`
`#include "ace/iosfwd.h"`
`#include "ace/SString.inl"`

Include dependency graph for SString.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_NS_WString
| This class retain the backward compatibility for ACE_Naming_Context and related classes. The only addition to ACE_WString is a very naive "wchar" to "char" conversion function. More...
class | ACE_SString
| A very Simple String ACE_SString class. This is not a general-purpose string class, and you should probably consider using ACE_CString is you don't understand why this class exists... More...
class | ACE_Tokenizer
| Tokenizer. More...
class | ACE_Tokenizer::Preserve_Entry
| Preserve Entry. More...
class | ACE_Tokenizer::Delimiter_Entry
| Delimiter Entry. More...
class | ACE_Auto_String_Free
| Simple class to automatically de-allocate strings. More...
## Defines
#define | ACE_DEFAULT_GROWSIZE 32
## Typedefs
typedef ACE_CString | ACE_TString
## Functions
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Export ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &, const ACE_CString &)
ACE_Export ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &, const ACE_WString &)
ACE_INLINE ACE_Export ACE_NS_WString | operator+ (const ACE_NS_WString &, const ACE_NS_WString &)
ACE_Export ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &, const ACE_SString &)

## Detailed Description

Id
  SString.h,v 4.86 2006/01/25 19:56:26 jwillemsen Exp

Author:
  Douglas C. Schmidt (schmidt@cs.wustl.edu)

## Define Documentation

#define ACE_DEFAULT_GROWSIZE 32

## Typedef Documentation

typedef ACE_CString ACE_TString

## Function Documentation

ACE_INLINE ACE_Export ACE_NS_WString operator+ | ( | const ACE_NS_WString & | ,
|  | const ACE_NS_WString & |
| ) |

ACE_Export ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | ,
|  | const ACE_SString & |
| ) |

ACE_Export ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | ,
|  | const ACE_WString & |
| ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Export ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | ,
|  | const ACE_CString & |
| ) |